# frozen_string_literal: true

Gem::Specification.new do |spec|
  spec.version       = "0.1.17"
  
  spec.name          = "jekyll-theme-isabelline"
  spec.authors       = ["Rouslan Zenetl"]
  spec.email         = ["isabelline@rzen.dev"]
  spec.summary       = "Simple clean mobile-friendly theme for long form note taking. Works for blogging too."
  spec.homepage      = "https://github.com/rzen/jekyll-theme-isabelline"
  spec.license       = "MIT"
  spec.metadata["plugin_type"] = "theme"

  # work out which files to include with the theme
  spec.files         = `git ls-files -z`.split("\x0").select do |f|
    f.match(%r!^(assets|_(includes|layouts|sass)/|(LICENSE|README|CHANGELOG|index)((\.(txt|md|html)|$)))!i)
  end

  # TODO: jekyll ver should be same as image in docker-compose.yaml
  spec.add_runtime_dependency "jekyll", ">= 3.5", "< 5.0"
  spec.add_development_dependency "bundler", "~> 2.0.2"
end